From 288cffa984e5a5a4350becd6ef91709bb61d78c3 Mon Sep 17 00:00:00 2001
From: Masahiko Sawada <sawada.mshk@gmail.com>
Date: Thu, 5 Jun 2025 16:28:06 -0700
Subject: [PATCH v3 1/4] Fix maxblkno constant to use MaxBlockNumber in
 test_tidstore.sql.

---
 src/test/modules/test_tidstore/expected/test_tidstore.out | 2 +-
 src/test/modules/test_tidstore/sql/test_tidstore.sql      | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/test/modules/test_tidstore/expected/test_tidstore.out b/src/test/modules/test_tidstore/expected/test_tidstore.out
index cbcacfd26e1..13993bbfe7b 100644
--- a/src/test/modules/test_tidstore/expected/test_tidstore.out
+++ b/src/test/modules/test_tidstore/expected/test_tidstore.out
@@ -2,7 +2,7 @@ CREATE EXTENSION test_tidstore;
 -- To hide the output of do_set_block_offsets()
 CREATE TEMP TABLE hideblocks(blockno bigint);
 -- Constant values used in the tests.
-\set maxblkno 4294967295
+\set maxblkno 0xFFFFFFFE
 -- The maximum number of heap tuples (MaxHeapTuplesPerPage) in 8kB block is 291.
 -- We use a higher number to test tidstore.
 \set maxoffset 512
diff --git a/src/test/modules/test_tidstore/sql/test_tidstore.sql b/src/test/modules/test_tidstore/sql/test_tidstore.sql
index a29e4ec1c55..86770ba316f 100644
--- a/src/test/modules/test_tidstore/sql/test_tidstore.sql
+++ b/src/test/modules/test_tidstore/sql/test_tidstore.sql
@@ -4,7 +4,7 @@ CREATE EXTENSION test_tidstore;
 CREATE TEMP TABLE hideblocks(blockno bigint);
 
 -- Constant values used in the tests.
-\set maxblkno 4294967295
+\set maxblkno 0xFFFFFFFE
 -- The maximum number of heap tuples (MaxHeapTuplesPerPage) in 8kB block is 291.
 -- We use a higher number to test tidstore.
 \set maxoffset 512
-- 
2.43.5

